package com.wissamfawaz;

import java.util.InputMismatchException;
import java.util.Scanner;

public class Main {

	private static int quotient(int num, int denom) {
		return num / denom;
	}
	
	public static void main(String[] args) {
		int numerator, denominator, output;
		Scanner scan = new Scanner(System.in);
		boolean continueLooping = true;
		
		while(continueLooping) {
			try {
				System.out.println("Enter a numerator: ");
				numerator = scan.nextInt();
				System.out.println("Enter a denominator: ");
				denominator = scan.nextInt();
				
				output = quotient(numerator, denominator);
				System.out.println("Output: " + output);
				continueLooping = false;
				
			} catch(InputMismatchException e) {
				System.out.println("Input value must be an int");
				scan.nextLine();
			} catch(ArithmeticException e) {
				System.out.println("Denominator cannot be 0");
			}
		}
		
		
		scan.close();
	}

}
