package com.wissamfawaz;

import java.util.Scanner;

public class Main {

	public static void main(String[] args) {
		int area, valid = 0, banned = 0;
		char city;
		String code;
		Scanner scan = new Scanner(System.in);
		
		System.out.println("Enter a product code (XXX to quit): ");
		code = scan.nextLine();
		
		while(!code.equals("XXX")) {
			try {
				area = Integer.parseInt(code.substring(0, 4));
				city = code.charAt(4);
				
				valid++;
				if(area >= 2000 && city == 'B') {
					banned++;
				}
			} catch (NumberFormatException e) {
				System.out.println("Area info must be numeric.");
			} catch(StringIndexOutOfBoundsException e) {
				System.out.println("Code is of improper length");
			}
			System.out.println("Enter a product code (XXX to quit): ");
			code = scan.nextLine();
		}
		
		
		System.out.println("# valid codes: " + valid);
		System.out.println("# banned codes: " + banned);
		
		
		scan.close();
	}

}
